Subject: bug#29396: closed (Re: bug#29396: Comm bug verified)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Nov 2017 17:51:02 +0000

Your bug report

#29396: Comm bug verified

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29396: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29396
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29396: Comm bug verified
From: Assaf Gordon <[email-masked]>
To: Saint Michael <[email-masked]>, [email-masked]
Date: Thu, 23 Nov 2017 10:50:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

(re-adding the mailing list)

Hello,

On 2017-11-22 12:39 PM, Saint Michael wrote:
> Thanks for the explanation
> Is there a place to download the source code?
> I want to compile a version that ignore spaces on the right, since 99% 
> of the time I forget to check the line endings.
> or maybe you could consider a switch to the tool that would make it 
> ignore traing spaces when comparing lines.

The source code for GNU coreutils is available here:
   https://git.savannah.gnu.org/cgit/coreutils.git

However,
I would recommend the 'sed' method below, as a much simpler
way to remove trailing spaces (instead of maintaining a custom modified
coreutils binaries).

>     To remove the trailing spaces on the file, try:
> 
>         $ sed 's/  *$//' file2.csv > file2-no-space.csv
> 
>         $ comm -12 file1.csv file2-no-space.csv  | wc -l
>         864
> 
>         $ join file1.csv file2.csv | wc -l
>         864

regards,
  - assaf

Subject: Comm bug verified
From: Saint Michael <[email-masked]>
To: [email-masked]
Date: Wed, 22 Nov 2017 09:15:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Maintainers
I guess the names are Richard M. Stallman and David MacKenzie.

I found a vierifiable bug in the utilitu comm. This is very important
because hundreds maybe thousands of application rely on this app to make
crucial decisions, in power plants, banks, etc. We nedd to trust it.

I have two files with phone numbers, one column, sorted (they pass the test
sort -c). One is large and the other one is small. The  comm -12
--check-order file1.csv file2.csv falis to find matches, but another
utility, join file1.csv file2.csv. does find a lot of matches.
The box is Centos 7 and

*comm --versioncomm (GNU coreutils) 8.22*

The only special think about my box is
export LC_ALL=C
please contact me to send you a zip file with the two files, or for
security, plain ascii files, or maybe you can login to our lab box and
execute the commands.